Skip to content
Generic Graph widget for WireCloud using HighCharts
JavaScript HTML CSS
Branch: develop
Clone or download
Latest commit 0034196 May 22, 2019

README.md

HighCharts Widget widget

This WireCloud widget allows to create interactive charts/graphs using the Highcharts framework

Build

Be sure to have installed Node.js and Bower in your system. For example, you can install it on Ubuntu and Debian running the following commands:

curl -sL https://deb.nodesource.com/setup | sudo bash -
sudo apt-get install nodejs
sudo apt-get install npm
sudo npm install -g bower

If you want the last version of the widget, you should change to the develop branch:

git checkout develop

Install other npm dependencies by running: (need root because some libraries use applications, check package.json before to be sure)

sudo npm install

For build the widget you need download grunt:

sudo npm install -g grunt-cli

And now, you can use grunt:

grunt

If everything goes well, you will find a wgt file in the dist folder.

Documentation

Documentation about how to use this widget is available on the User Guide. Anyway, you can find general information about how to use widgets on the WireCloud's User Guide available on Read the Docs.

Reference

Copyright and License

Copyright (c) 2015 CoNWeT

You can’t perform that action at this time.